"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function _isLocalModule(imported) {
    return imported.moduleName.startsWith('~/');
}
function _isAbsoluteModule(imported) {
    return !imported.moduleName.startsWith('.') && !_isLocalModule(imported);
}
function default_1(styleApi) {
    const { alias, and, dotSegmentCount, hasNoMember, isNodeModule, isRelativeModule, moduleName, naturally, unicode, } = styleApi;
    return [
        { match: and(hasNoMember, _isAbsoluteModule) },
        { separator: true },
        { match: and(hasNoMember, isRelativeModule) },
        { separator: true },
        {
            match: isNodeModule,
            sort: moduleName(naturally),
            sortNamedMembers: alias(unicode),
        },
        { separator: true },
        {
            match: _isAbsoluteModule,
            sort: moduleName(naturally),
            sortNamedMembers: alias(unicode),
        },
        { separator: true },
        {
            match: _isLocalModule,
            sort: moduleName(naturally),
            sortNamedMembers: alias(unicode),
        },
        { separator: true },
        {
            match: isRelativeModule,
            sort: [dotSegmentCount, moduleName(naturally)],
            sortNamedMembers: alias(unicode),
        },
        { separator: true },
    ];
}
exports.default = default_1;
//# sourceMappingURL=index.js.map